Index: standards/DailyDrillingReport/1.2.0/DDRMLv_1_2_1.xsd
===================================================================
--- standards/DailyDrillingReport/1.2.0/DDRMLv_1_2_1.xsd (revision 342)
+++ standards/DailyDrillingReport/1.2.0/DDRMLv_1_2_1.xsd (revision 369)
@@ -1790,61 +1653,51 @@
 			</xsd:element>
 			<!--PROFILE: Deleted element parentWellbore.-->
-			<xsd:element name="strengthForm" type="witsml:densityMeasure" minOccurs="0" maxOccurs="1"
-         sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17659800">
+			<xsd:element name="strengthForm" type="witsml:densityMeasure" minOccurs="0" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17659800">
 				<xsd:annotation>
 					<xsd:documentation>The measured formation strength. This should be the final measurement before the end of the report period.</xsd:documentation>
 				</xsd:annotation>
 			</xsd:element>
-			<xsd:element name="mdStrengthForm" type="witsml:measuredDepthCoord" minOccurs="0" maxOccurs="1"
-         sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17660055">
+			<xsd:element name="mdStrengthForm" type="witsml:measuredDepthCoord" minOccurs="0" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17660055">
 				<xsd:annotation>
 					<xsd:documentation>The measured depth of the formation strength measuement.</xsd:documentation>
 				</xsd:annotation>
 			</xsd:element>
-			<xsd:element name="tvdStrengthForm" type="witsml:wellVerticalDepthCoord" minOccurs="0" maxOccurs="1"
-         sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17850755">
+			<xsd:element name="tvdStrengthForm" type="witsml:wellVerticalDepthCoord" minOccurs="0" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17850755">
 				<xsd:annotation>
 					<xsd:documentation>The true vertical depth of the formation strength measuement.</xsd:documentation>
 				</xsd:annotation>
 			</xsd:element>
-			<xsd:element name="diaCsgLast" type="witsml:lengthMeasureInch" minOccurs="0" maxOccurs="1"
-         sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17659470">
+			<xsd:element name="diaCsgLast" type="witsml:lengthMeasureInch" minOccurs="0" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17659470">
+				<xsd:annotation>
+					<xsd:documentation>Diameter of last casing.</xsd:documentation>
+				</xsd:annotation>
 				<!--PROFILE: Changed type from witsml:lengthMeasure to witsml:lengthMeasureInch for element diaCsgLast.-->
-				<xsd:annotation>
-					<xsd:documentation>Diameter of last casing.</xsd:documentation>
-				</xsd:annotation>
-			</xsd:element>
-			<xsd:element name="mdCsgLast" type="witsml:measuredDepthCoord" minOccurs="0" maxOccurs="1"
-         sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17659755">
+			</xsd:element>
+			<xsd:element name="mdCsgLast" type="witsml:measuredDepthCoord" minOccurs="0" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17659755">
 				<xsd:annotation>
 					<xsd:documentation>Measured depth of last casing.</xsd:documentation>
 				</xsd:annotation>
 			</xsd:element>
-			<xsd:element name="tvdCsgLast" type="witsml:wellVerticalDepthCoord" minOccurs="0" maxOccurs="1"
-         sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17850890">
+			<xsd:element name="tvdCsgLast" type="witsml:wellVerticalDepthCoord" minOccurs="0" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17850890">
 				<xsd:annotation>
 					<xsd:documentation>True vertical depth of last casing.</xsd:documentation>
 				</xsd:annotation>
 			</xsd:element>
-			<xsd:element name="presTestType" type="witsml:PresTestType" minOccurs="0" maxOccurs="1"
-         sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17658975">
+			<xsd:element name="presTestType" type="witsml:PresTestType" minOccurs="0" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17658975">
 				<xsd:annotation>
 					<xsd:documentation>The type of pressure test that was run during this reporting period.</xsd:documentation>
 				</xsd:annotation>
 			</xsd:element>
-			<xsd:element name="mdPlanned" type="witsml:measuredDepthCoord" minOccurs="0" maxOccurs="1"
-         sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17850395">
+			<xsd:element name="mdPlanned" type="witsml:measuredDepthCoord" minOccurs="0" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17850395">
 				<xsd:annotation>
 					<xsd:documentation>Measured depth of plan for this day number (report period).</xsd:documentation>
 				</xsd:annotation>
 			</xsd:element>
-			<xsd:element name="distDrill" type="witsml:lengthMeasure" minOccurs="0" maxOccurs="1"
-         sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17850485">
+			<xsd:element name="distDrill" type="witsml:lengthMeasure" minOccurs="0" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17850485">
 				<xsd:annotation>
 					<xsd:documentation>Distance drilled during this reporting period. This should be measured along the centerline of the wellbore.</xsd:documentation>
 				</xsd:annotation>
 			</xsd:element>
-			<xsd:element name="elevKelly" type="witsml:wellElevationCoord" minOccurs="0" maxOccurs="1"
-         sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17850575">
+			<xsd:element name="elevKelly" type="witsml:wellElevationCoord" minOccurs="0" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17850575">
 				<xsd:annotation>
 					<xsd:documentation>Elevation of the rotary kelly bushing.</xsd:documentation>
@@ -1852,59 +1705,56 @@
 			</xsd:element>
 			<xsd:element name="waterDepth" type="witsml:lengthMeasureMetre" minOccurs="0" maxOccurs="1">
+				<xsd:annotation>
+					<xsd:documentation>Water depth in Mean sea level (m).</xsd:documentation>
+				</xsd:annotation>
 				<!-- PROFILE: Added element waterDepth -->
-				<xsd:annotation>
-					<xsd:documentation>Water depth in Mean sea level (m).</xsd:documentation>
-				</xsd:annotation>
-			</xsd:element>
-			<xsd:element name="sum24Hr" type="witsml:commentString" minOccurs="1" maxOccurs="1"
-         sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17658390">
+			</xsd:element>
+			<xsd:element name="sum24Hr" type="witsml:commentString" minOccurs="1" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17658390">
+				<xsd:annotation>
+					<xsd:documentation>A summary that sumarizes the activities performed and the status of the ongoing activities from the reporting period.</xsd:documentation>
+				</xsd:annotation>
 				<!--PROFILE: Changed minOccurs from 0 to 1 for element sum24Hr.-->
-				<xsd:annotation>
-					<xsd:documentation>A summary that sumarizes the activities performed and the status of the ongoing activities from the reporting period.</xsd:documentation>
-				</xsd:annotation>
-			</xsd:element>
-			<xsd:element name="forecast24Hr" type="witsml:commentString" minOccurs="1" maxOccurs="1"
-         sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17658465">
+			</xsd:element>
+			<xsd:element name="forecast24Hr" type="witsml:commentString" minOccurs="1" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17658465">
+				<xsd:annotation>
+					<xsd:documentation>A summary that sumarizes the planned activities the next reporting period.</xsd:documentation>
+				</xsd:annotation>
 				<!--PROFILE: Changed minOccurs from 0 to 1 for element forecast24Hr.-->
-				<xsd:annotation>
-					<xsd:documentation>A summary that sumarizes the planned activities the next reporting period.</xsd:documentation>
-				</xsd:annotation>
-			</xsd:element>
-			<xsd:element name="ropCurrent" type="witsml:velocityMeasureMetresPerHour" minOccurs="0" maxOccurs="1"
-         sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17850095">
+			</xsd:element>
+			<xsd:element name="ropCurrent" type="witsml:velocityMeasureMetresPerHour" minOccurs="0" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17850095">
+				<xsd:annotation>
+					<xsd:documentation>Rate of penetration at the end of the reporting period.</xsd:documentation>
+				</xsd:annotation>
 				<!--PROFILE: Changed type from witsml:velocityMeasure to witsml:velocityMeasureMetresPerHour for element ropCurrent.-->
-				<xsd:annotation>
-					<xsd:documentation>Rate of penetration at the end of the reporting period.</xsd:documentation>
-				</xsd:annotation>
 			</xsd:element>
 			<xsd:element name="tightWell" type="witsml:logicalBoolean" minOccurs="1" maxOccurs="1">
+				<xsd:annotation>
+					<xsd:documentation>Indicates if a well is tight or not.</xsd:documentation>
+				</xsd:annotation>
 				<!-- PROFILE: Added element thightWell -->
-				<xsd:annotation>
-					<xsd:documentation>Indicates if a well is tight or not.</xsd:documentation>
-				</xsd:annotation>
 			</xsd:element>
 			<xsd:element name="hpht" type="witsml:logicalBoolean" minOccurs="1" maxOccurs="1">
+				<xsd:annotation>
+					<xsd:documentation>Indicates if a wellbore is classified as HPHT (High Pressure - High Temperature) or not.</xsd:documentation>
+				</xsd:annotation>
 				<!-- PROFILE: Added element hpht -->
-				<xsd:annotation>
-					<xsd:documentation>Indicates if a wellbore is classified as HPHT (High Pressure - High Temperature) or not.</xsd:documentation>
-				</xsd:annotation>
-			</xsd:element>
-			<xsd:element name="avgPresBH" type="witsml:pressureMeasurePsig" minOccurs="1" maxOccurs="1">
+			</xsd:element>
+			<xsd:element name="avgPresBH" type="witsml:pressureMeasurePsig" minOccurs="0" maxOccurs="1">
+				<xsd:annotation>
+					<xsd:documentation>Averagae bottomhole pressure (psig).</xsd:documentation>
+				</xsd:annotation>
 				<!-- PROFILE: Added element avgPresBH -->
-				<xsd:annotation>
-					<xsd:documentation>Averagae bottomhole pressure (psig).</xsd:documentation>
-				</xsd:annotation>
-			</xsd:element>
-			<xsd:element name="avgTempBH" type="witsml:thermodynamicTemperatureMeasureCelsius" minOccurs="1" maxOccurs="1">
+			</xsd:element>
+			<xsd:element name="avgTempBH" type="witsml:thermodynamicTemperatureMeasureCelsius" minOccurs="0" maxOccurs="1">
+				<xsd:annotation>
+					<xsd:documentation>A bottomhole temperature that is the expected bottomhole temperature (c).</xsd:documentation>
+				</xsd:annotation>
 				<!-- PROFILE: Added element expTempBH -->
-				<xsd:annotation>
-					<xsd:documentation>A bottomhole temperature that is the expected bottomhole temperature (c).</xsd:documentation>
-				</xsd:annotation>
 			</xsd:element>
 			<xsd:element name="fixedRig" type="witsml:logicalBoolean" minOccurs="0" maxOccurs="1">
+				<xsd:annotation>
+					<xsd:documentation>A daily drilling report class that classifies rig types true (1) if the rig is fiexed false (0) if the rig is mobile.</xsd:documentation>
+				</xsd:annotation>
 				<!-- PROFILE: Added element rigType -->
-				<xsd:annotation>
-					<xsd:documentation>A daily drilling report class that classifies rig types true (1) if the rig is fiexed false (0) if the rig is mobile.</xsd:documentation>
-				</xsd:annotation>
 			</xsd:element>
 			<!--PROFILE: Deleted element rig.-->
@@ -1958,16 +1808,14 @@
 		<xsd:sequence>
 			<xsd:element name="dTim" type="witsml:timestamp" minOccurs="1" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17795795">
+				<xsd:annotation>
+					<xsd:documentation>Date and time at which a preliminary zonation is established.</xsd:documentation>
+				</xsd:annotation>
 				<!--PROFILE: Changed minOccurs from 0 to 1 for element dTim.-->
-
-				<xsd:annotation>
-					<xsd:documentation>Date and time at which a preliminary zonation is established.</xsd:documentation>
-				</xsd:annotation>
 			</xsd:element>
 			<xsd:element name="mdTop" type="witsml:measuredDepthCoord" minOccurs="1" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17795870">
+				<xsd:annotation>
+					<xsd:documentation>Measured depth at the top of the formation.</xsd:documentation>
+				</xsd:annotation>
 				<!--PROFILE: Changed minOccurs from 0 to 1 for element mdTop.-->
-
-				<xsd:annotation>
-					<xsd:documentation>Measured depth at the top of the formation.</xsd:documentation>
-				</xsd:annotation>
 			</xsd:element>
 			<xsd:element name="tvdTop" type="witsml:wellVerticalDepthCoord" minOccurs="0" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17796065">
@@ -1977,10 +1825,9 @@
 			</xsd:element>
 			<xsd:element name="description" type="witsml:commentString" minOccurs="1" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17788332">
+				<xsd:annotation>
+					<xsd:documentation>A lithological description of the geological formation at the given depth.</xsd:documentation>
+				</xsd:annotation>
 				<!--PROFILE: Changed type from witsml:descriptionString to witsml:commentString for element description.-->
 				<!--PROFILE: Changed minOccurs from 0 to 1 for element description.-->
-
-				<xsd:annotation>
-					<xsd:documentation>A lithological description of the geological formation at the given depth.</xsd:documentation>
-				</xsd:annotation>
 			</xsd:element>
 			<!--PROFILE: Deleted element extensionNameValue.-->
@@ -2014,16 +1861,14 @@
 			</xsd:element>
 			<xsd:element name="incl" type="witsml:planeAngleMeasure" minOccurs="1" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17687922">
+				<xsd:annotation>
+					<xsd:documentation>Hole inclination, measured from vertical.</xsd:documentation>
+				</xsd:annotation>
 				<!--PROFILE: Changed minOccurs from 0 to 1 for element incl.-->
-
-				<xsd:annotation>
-					<xsd:documentation>Hole inclination, measured from vertical.</xsd:documentation>
-				</xsd:annotation>
 			</xsd:element>
 			<xsd:element name="azi" type="witsml:planeAngleMeasure" minOccurs="1" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17688267">
+				<xsd:annotation>
+					<xsd:documentation>Hole azimuth. Corrected to wells azimuth reference.</xsd:documentation>
+				</xsd:annotation>
 				<!--PROFILE: Changed minOccurs from 0 to 1 for element azi.-->
-
-				<xsd:annotation>
-					<xsd:documentation>Hole azimuth. Corrected to wells azimuth reference.</xsd:documentation>
-				</xsd:annotation>
 			</xsd:element>
 			<!--PROFILE: Deleted element vertSect.-->
@@ -2070,9 +1915,8 @@
 			</xsd:element>
 			<xsd:element name="rigAlias" type="witsml:cs_alias" minOccurs="0" maxOccurs="2" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17645305">
+				<xsd:annotation>
+					<xsd:documentation>A name of the fixed or movable facility being used to drill the wellbore.</xsd:documentation>
+				</xsd:annotation>
 				<!--PROFILE: Changed maxOccurs from unbounded to 2 for element rigAlias.-->
-
-				<xsd:annotation>
-					<xsd:documentation>A name of the fixed or movable facility being used to drill the wellbore.</xsd:documentation>
-				</xsd:annotation>
 			</xsd:element>
 		</xsd:sequence>
@@ -2084,37 +1928,32 @@
 		<xsd:sequence>
 			<xsd:element name="dTim" type="witsml:timestamp" minOccurs="1" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17699490">
+				<xsd:annotation>
+					<xsd:documentation>Date and time that the well test was completed.</xsd:documentation>
+				</xsd:annotation>
 				<!--PROFILE: Changed minOccurs from 0 to 1 for element dTim.-->
-
-				<xsd:annotation>
-					<xsd:documentation>Date and time that the well test was completed.</xsd:documentation>
-				</xsd:annotation>
 			</xsd:element>
 			<xsd:element name="testType" type="witsml:WellTestType" minOccurs="1" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17701590">
+				<xsd:annotation>
+					<xsd:documentation>The type of well test.</xsd:documentation>
+				</xsd:annotation>
 				<!--PROFILE: Changed minOccurs from 0 to 1 for element testType.-->
-
-				<xsd:annotation>
-					<xsd:documentation>The type of well test.</xsd:documentation>
-				</xsd:annotation>
 			</xsd:element>
 			<xsd:element name="testNumber" type="witsml:positiveCount" minOccurs="1" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17701335">
+				<xsd:annotation>
+					<xsd:documentation>The number of the well test.</xsd:documentation>
+				</xsd:annotation>
 				<!--PROFILE: Changed minOccurs from 0 to 1 for element testNumber.-->
-
-				<xsd:annotation>
-					<xsd:documentation>The number of the well test.</xsd:documentation>
-				</xsd:annotation>
 			</xsd:element>
 			<xsd:element name="mdTop" type="witsml:measuredDepthCoord" minOccurs="1" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17701290">
+				<xsd:annotation>
+					<xsd:documentation>Measured depth at the top of the test interval.</xsd:documentation>
+				</xsd:annotation>
 				<!--PROFILE: Changed minOccurs from 0 to 1 for element mdTop.-->
-
-				<xsd:annotation>
-					<xsd:documentation>Measured depth at the top of the test interval.</xsd:documentation>
-				</xsd:annotation>
 			</xsd:element>
 			<xsd:element name="mdBottom" type="witsml:measuredDepthCoord" minOccurs="1" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17701380">
+				<xsd:annotation>
+					<xsd:documentation>Measured depth at the bottom of the test interval.</xsd:documentation>
+				</xsd:annotation>
 				<!--PROFILE: Changed minOccurs from 0 to 1 for element mdBottom.-->
-
-				<xsd:annotation>
-					<xsd:documentation>Measured depth at the bottom of the test interval.</xsd:documentation>
-				</xsd:annotation>
 			</xsd:element>
 			<xsd:element name="tvdTop" type="witsml:wellVerticalDepthCoord" minOccurs="0" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS328363958">
